package me.hammerle.supersnuvi.entity.components.ai;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.entity.components.Component;
import me.hammerle.supersnuvi.tiles.Location;
import me.hammerle.supersnuvi.util.Face;

public class EntityController extends Component
{
    public final static EntityController NULL = new EntityController(null);
    
    protected EntityController(Entity ent)
    {
        super(ent);
    }
    
    public void tick()
    {
    }
    
    public boolean isRunning()
    {
        return false;
    }
    
    public boolean isInCombatMode()
    {
        return false;
    }
    
    public int getCombatTimer() 
    {
        return 0;
    }
    
    public boolean isBlocking()
    {
        return false;
    }
    
    public boolean isAttacking()
    {
        return false;
    }
    
    public boolean isDashing()
    {
        return false;
    }
    
    public boolean isDodging()
    {
        return false;
    }
    
    public void onCollideWithTile(Location loc, Face face)
    {
    }
    
    public void onCollideWithEntity(Entity ent, Face face)
    {
    }
}
